GuideLab API

Get order status history

Returns the complete status transition history for an order, plus the phase-change history, sourced from the unified orderActivity log.

GET
/orders/{id}/status-history

Returns the complete status transition history for an order, plus the phase-change history, sourced from the unified orderActivity log.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Response Body

application/json

curl -X GET "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/status-history"
{  "statusHistory": [    {      "id": "string",      "fromStatus": "string",      "toStatus": "string",      "changedBy": "string",      "changedByName": "string",      "changedByActorKind": "system",      "notes": "string",      "createdAt": "string"    }  ],  "phaseStepHistory": [    {      "id": "string",      "phaseName": "string",      "fromPhase": "string",      "toPhase": "string",      "changedBy": "string",      "changedByName": "string",      "changedByActorKind": "system",      "notes": "string",      "createdAt": "string"    }  ]}
Empty
Empty
Empty